Sign In

MGI Actor Framework Message Maker by MGI - Toolkit for LabVIEW Download

Improved Actor Framework Message Maker

* 1 ↓793
 logo
Version1.0.1.6
ReleasedSep 15, 2016
Publisher MGI
LicenseBSD
LabVIEW VersionLabVIEW>=12.0
Operating System Windows, Mac, and Linux
Project links Homepage  

Description

An enhanced Actor Framework Message Maker!

Key improvements over NI's Actor Framework Message Maker:
-Ability to update already built messages
-New message icons
-Send Message VI gets its description from the message VI

To use the tool open a your project then select "Tools"->"Actor Framework Message Maker (MGI)". Next select the methods you'd like to create messages for and click "Build/Update Selected Messages"

We had two main gripes when working with the actor framework message maker supplied by NI:
1. If you changed the message VI, you had to manually fix the message class
2. A lot of block diagram readability is lost because of the plain "Send Message" VIs, and it takes a lot of time to go in and change the icons and descriptions.

This new message maker aims to fix both of these issues.

First, you can update messages. The message maker automatically detects which messages are out of date, and the user just has to click a button.

Next, readability. We felt like there were two main things that a message needed to significantly increase block diagram readability. First, it needs a good icon. The icon should clearly show that it's a message, but also tell you what the message does. To do this, we steal parts of the icon from your souce code to create a distinct and helpful icon. Second, it needs a good VI description. This is again stolen from the message VI. Now you can look at a block diagram, mouse over things, and get a good idea of what your actor code is doing.

Please visit http://mooregoodideas.com/improved-actor-framework-message-maker for more information.

Release Notes

1.0.1.6 (Sep 15, 2016)

-Added support for PPL Actors
-Changed Send VIs to be Re-entrant
-Changed to use Localized Name in main tree


Install with VIPM Download Package

Note, you must have the VIPM Desktop app to install this package into LabVIEW.

Versions
Featured in

  Post an Idea   Post a Resource

Recent Posts